/*
 * oma-dm-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef PASSWORD_GENERATOR_H_
#define PASSWORD_GENERATOR_H_

typedef enum _generate_type {
	SERVER_PW_KEY,
	CLIENT_ID_KEY,
	CLIENT_PW_KEY
} generate_type;

char *generate_device_password(const char *device_id, const char *server_id, generate_type type);

#endif				/* PASSWORD_GENERATOR_H_ */
