/*
 * oma-dm-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SLP_DEVICE_CTRL_H_
#define SLP_DEVICE_CTRL_H_

int slp_device_ctrl_set_fota_flag();
int slp_device_ctrl_get_fota_update_result();
int slp_device_ctrl_reboot();
int slp_device_ctrl_fully_lock();
int slp_device_ctrl_partially_lock();
int slp_device_ctrl_unlock();
int slp_device_ctrl_factory_reset();

#endif				/* SLP_DEVICE_CTRL_H_ */
