/*
 * oma-dm-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef SAMSUNG_DEVICE_INFO_H_
#define SAMSUNG_DEVICE_INFO_H_

char *slp_device_info_get_dtd_version();
char *slp_device_info_get_kernel_version();
char *slp_device_info_get_msisdn_number();
char *slp_device_info_get_mcc();
char *slp_device_info_get_csc();

char *slp_device_info_get_fota_download_dir();
char *slp_device_info_get_fota_save_dir();
char *slp_device_info_get_fota_sd_download_dir();
char *slp_device_info_get_fota_sd_save_dir();

char *slp_device_info_get_opco_info();

char *slp_device_info_get_imsi_info();

#endif				/* SAMSUNG_DEVICE_INFO_H_ */
