/*
 * oma-dm-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef DM_CP_SECURITY_H_
#define DM_CP_SECURITY_H_

#define CP_MAC_LEN								40

#define CP_IS_EXIST_MAC						0x92

#define CP_SEC										0x91

#define CP_SEC_TYPE_NETWPIN				0x80
#define CP_SEC_TYPE_USERPIN				0x81
#define CP_SEC_TYPE_USERNETWPIN		0x82

#define CP_DATA_REPOSITORY_PATH		"/opt/data/oma-dm-cfg/cp"
#define CP_SEC_FILE_NAME					"cp_pin_info"
#define CP_WBXML_FILE_NAME				"wbxml_cp"
#define CP_TYPE_FILE_NAME					"cp_type"

#define CP_SEC_REPOSITORY_PATH		"/opt/data/oma-dm-cfg/cp_pin_info"
#define CP_WBXML_REPOSITORY_PATH	"/opt/data/oma-dm-cfg/wbxml_cp"
#define CP_TYPE_REPOSITORY_PATH		"/opt/data/oma-dm-cfg/cp_type"

#endif				/* DM_CP_SECURITY_H_ */
