/*
 * oma-dm-agent
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef DD_OBJECT_H_
#define DD_OBJECT_H_

//typedef enum {
//      OBJECT_NO_TYPE = 0,
//      APPLICATION_OCTECT_STREAM,
//      APPLICATION_MSWORD,
//      APPLICATION_PDF,
//      APPLICATION_ZIP,
//      TEXT_HTML,
//      TEXT_PLAIN,
//      TEXT_CSS,
//      IMAGE_GIF,
//      IMAGE_JPEG,
//      VIDEO_MPEG
//
//} OBJECT_TYPE;

typedef struct {
	int object_size;	/* media object size */
	char *object_type;	/* media object type */
	char *object_name;
	char *object_description;	/* media object description */
	char *object_uri;	/* URI from which the media object can be loaded */
	char *next_uri;
	char *install_notify_uri;	/* URI to which a installation status report is to be sent */
	char *info_uri;
	char *icon_uri;
	char *object_vender;
	char *DD_version;
	char *install_param;	/* ex) binaryType=FULL displayLanguage=kor-KR */
	char *medea_object;

} Download_Descriptor;

#endif				/* DD_OBJECT_H_ */
